<?php

/**
 * Description of User
 *
 * @author Softpro India Pvt. Ltd.
 */
class Location extends CI_Controller {

    public function __construct() {
        parent::__construct();
        $this->load->model("admin/LocationManagement");
    }

    public function getCitiesByState() {
        $state = $_POST['state'];
        $query = $this->LocationManagement->getCities($state);
        $cityList = $query->result();
        $options = "<option value=''>Select City</option>";
        for ($i = 0; $i < (sizeof($cityList)); $i++) {
            $options .= "<option value=" . $cityList[$i]->city . ">" . $cityList[$i]->city . "</option>";
        }
        $responseData = array(
            'csrfName' => $this->security->get_csrf_token_name(),
            'csrfHash' => $this->security->get_csrf_hash(),
            'city_list' => $options
        );
        echo json_encode($responseData);
    }

    public function getActiveCitiesByStateSelected() {
        $state = $_POST['state'];
        $city = $_POST['city'];
        $query = $this->LocationManagement->getCities($state);
        $cityList = $query->result();
        $options = "<option value=''>Select City</option>";
        for ($i = 0; $i < (sizeof($cityList)); $i++) {
            $selected = "";
            if ($cityList[$i]->city == $city) {
                $selected = "selected";
            }
            $options .= "<option value=" . $cityList[$i]->city . " " . $selected . ">" . $cityList[$i]->city . "</option>";
        }
        $responseData = array(
            'csrfName' => $this->security->get_csrf_token_name(),
            'csrfHash' => $this->security->get_csrf_hash(),
            'city_list' => $options
        );
        echo json_encode($responseData);
    }

}
