<?php
/**
 * Description of User
 *
 * @author Softpro India Pvt. Ltd.
 */
class JobManagement extends CI_Model{
    //put your code here
    function saveJobData($jobData){
        $this->db->insert("tbl_jobprofile",$jobData);
        return $this->db->insert_id();
    }
    
    function getJobs($userid){
        $this->db->select("*");
        $this->db->from("tbl_jobprofile jp");
        $this->db->join("tbl_profile p", "jp.p_id=p.p_id");
        $this->db->join("tbl_stu_alu sa","p.user_id=sa.userid");
        $this->db->where("sa.userid",$userid);
        $this->db->where("jp.job_delete_status","f");
        $this->db->order_by("jp.j_added","DESC");
        return $this->db->get();
    }
    
    function getJobById($jp_id) {
        $this->db->select("*");
        $this->db->from("tbl_jobprofile");
        $this->db->where("jp_id",$jp_id);
        return $this->db->get();
    }
    
    function updatedJobData($jobData,$jp_id){
        $this->db->where("jp_id",$jp_id);
        return $this->db->update("tbl_jobprofile",$jobData);      
    }
    
        function getJobsForAdminViewByUserID($userid){
        $this->db->select("*");
        $this->db->from("tbl_jobprofile jp");
        $this->db->join("tbl_profile p", "jp.p_id=p.p_id");
        $this->db->join("tbl_stu_alu sa","p.user_id=sa.userid");
        $this->db->where("sa.userid",$userid);
        $this->db->order_by("jp.j_status","ASC");
        return $this->db->get();
    }
    
}
