<?php

/**
 * Description of User
 *
 * @author Softpro India Pvt. Ltd.
 */
class Feedback extends CI_Controller {

    //put your code here
    public function __construct() {
        parent::__construct();
        $this->load->model("admin/FeedbackManagement");
    }

    public function index() {
        if ($this->sessionvalidator->validateSession()) {
            $viewData["feedbacks"] = $this->FeedbackManagement->getFeedbacks()->result();
            $this->load->view("admin/feedbacks", $viewData);
        } else {
            redirect("admin/");
        }
    }

    public function getFeedbackDetails() {
        if ($this->sessionvalidator->validateSession()) {
            $f_id = $_POST["f_id"];
            $feedback = $this->FeedbackManagement->getFeedbackById($f_id)->result()[0];
            $responseData = array(
                'csrfName' => $this->security->get_csrf_token_name(),
                'csrfHash' => $this->security->get_csrf_hash(),
                'type' => $feedback->f_type,
                'title' => $feedback->f_title,
                'desc' => $feedback->f_desc,
                'name' => $feedback->f_username,
                'email' => $feedback->f_usermail,
                'date' => date("d-m-Y", strtotime($feedback->f_date)),
                'usertype' => $feedback->f_usertype
            );
            echo json_encode($responseData);
        } else {
            redirect("admin/");
        }
    }

}
