
<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Notification Details :: <?php echo $this->session->userdata("branchData")["branch_short_name"]; ?> | Alumni Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/user/css/style-liberty.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/user/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="image icon" href="<?php echo base_url("/assets/images/logo.png"); ?>">
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/user/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/user/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/user/js/jquery.dataTables.min.js"); ?>"></script>
        <script>
            var csrfHash = "";
        </script>
    </head>
    <body class="sidebar-menu-collapsed">
        <?php
        $this->load->view("user/navAndHeader");
        ?>
        <!-- main content start -->
        <div class="main-content">
            <!-- content -->
            <div class="container-fluid content-top-gap">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb my-breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo site_url("user/Dashboard") ?>">Home</a></li>
                        <li class="breadcrumb-item"><a href="<?php echo site_url("user/Notification") ?>">All Notification</a></li>
                        <li class="breadcrumb-item active" aria-current="page"><a href="">Notification Details</a></li>
                    </ol>
                </nav>
                <section class="data-tables">
                    <div class="card card_border p-4">
                        <h3 class="card__title"><i class="fa fa-bell"></i> &nbsp;Notification Details</h3><br>
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="card">
                                    
                                    <div class="card-header">
                                        <img class="pull-left" src="<?php echo base_url() . $notification->n_icon; ?>" height="25px"> &nbsp;
                                        <h6 class="h4 pull-left"><?php echo $notification->n_title; ?></h6>
                                        <h6 class="h4 pull-right"><?php
                                            switch ($notification->n_type) {
                                                case 'S': echo "Special";
                                                    break;
                                                case 'G': echo "General";
                                                    break;
                                                case 'F': echo "Festical Wish";
                                                    break;
                                                case 'M': echo "Marriage Anniversary";
                                                    break;
                                                case 'B': echo "Birthday Wish";
                                                    break;
                                            }
                                            ?></h6>
                                    </div>
                                    <div class="card-body">
                                        <div class="row">
                                            <div class="    <?php
                                            if (!file_exists("./" . $notification->n_photo) || $notification->n_photo == null || $notification->n_photo == "") {
                                                echo "col-lg-12";
                                            } else {
                                                echo "col-lg-8";
                                            }
                                            ?>">
                                                <h5 class="card-title"><b>Occasion : </b><?php echo $notification->n_occasion; ?></h5>
                                                <p class="card-text"><?php echo $notification->n_content; ?></p>
                                            </div>          
                                            <?php
                                            if (!(!file_exists("./" . $notification->n_photo) || $notification->n_photo == null || $notification->n_photo == "")) {
                                                ?>
                                                <div class="col-lg-4">
                                                    <img  class="img-fluid" src="<?php echo base_url() . $notification->n_photo; ?>" width="280px" height="280px">
                                                </div>
                                                <?php
                                            }
                                            ?>
                                        </div>
                                        <?php
                                        if (!($notification->n_url == null || $notification->n_url == "")) {
                                            ?>
                                            <div class="col-lg-12">
                                                <hr>
                                                <p class="text-center"><a target="_blank" href="<?php echo "http://".$notification->n_url; ?>" data-toggle="tooltip" title="Click To Report Post"><i class="fa fa-globe" ></i>&nbsp;Visit</a></p>
                                            </div>
                                            <?php
                                        }
                                        ?>
                                    </div>
                                    <div class="card-footer">
                                        <p class="pull-left"><b><i class="fa fa-user-circle"></i></b> <?php echo $notification->admin_name; ?> </p>
                                        <p class="pull-right"><b><i class="fa fa-clock-o"></i></b> <?php echo date("d-m-Y", strtotime($notification->n_date_added)); ?></p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </section>
            </div>
            <!-- //content -->
        </div>           
    </div>
    <!-- main content end-->
    <?php
    $this->load->view("user/footer");
    ?>
